petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFVSetType

Builds a particular PetscFV

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetType(PetscFV fvm, PetscFVType name)

Collective on fvm

### Input Parameters

| fvm | - The PetscFV object
| name | - The kind of FVM space

### Options Database Key

-petscfv_type <type> -Sets the PetscFV type; use -help for a list of available types

### See Also

PetscFVGetType(), PetscFVCreate()

### Level

intermediate

### Location

src/dm/dt/fv/interface/fv.c
Index of all FV routines
Table of Contents for all manual pages
Index of all manual pages